Bug 1388250 - qemu-user-static has wrong binfmt.d configuration
Summary: qemu-user-static has wrong binfmt.d configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-24 20:53 UTC by Lorenzo Pistone
Modified: 2016-11-11 20:51 UTC (History)
9 users (show)

Fixed In Version: qemu-2.6.2-4.fc24 qemu-2.6.2-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-11 20:51:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Lorenzo Pistone 2016-10-24 20:53:08 UTC
The /usr/lib/binfmt.d/qemu-*-static.conf files provided by package qemu-user-static point to the non-static versions of the qemu-user executables. Note that qemu-user-binfmt (which provides the /usr/lib/binfmt.d/qemu-*-dynamic.conf files) correctly conflicts with this package. This makes the automatic load of the correct qemu interpreter impossible.

Comment 1 Fedora Update System 2016-10-26 22:26:36 UTC
qemu-2.6.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f5fc14b30

Comment 2 Lorenzo Pistone 2016-10-27 10:06:02 UTC
The new update does not work because a new flag F is appended to the binfmt.d configuration, and that is not accepted by kernel 4.7.9-200.fc24.x86_64. It makes systemd-binfmt fail as a whole with invalid argument.

Comment 3 Lorenzo Pistone 2016-10-27 10:12:37 UTC
It appears that the F flag has been added in kernel 4.8 only (https://github.com/torvalds/linux/commit/948b701a607f123df92ed29084413e5dd8cda2ed). So this can work only in Fedora 25.

Comment 4 Cole Robinson 2016-10-27 11:55:18 UTC
Thanks for the info.. I was skeptical of that change as well and tried to check git log Documentation/binfmt_misc.txt but I botched it somehow. I'll fix it

Comment 5 Fedora Update System 2016-10-28 19:51:28 UTC
qemu-2.6.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Lorenzo Pistone 2016-10-30 11:02:44 UTC
This shouldn't have been released. Now I guess whoever has qemu-user-static has a broken binfmt setup on fedora 24.

Comment 7 Fedora Update System 2016-11-06 21:43:09 UTC
qemu-2.6.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-292a5e9af2

Comment 8 Fedora Update System 2016-11-08 01:27:30 UTC
qemu-2.6.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-292a5e9af2

Comment 9 Fedora Update System 2016-11-11 20:51:43 UTC
qemu-2.6.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.